import java.awt.*;

public class CheckboxTest {
	public static void main(String[] args){
		Frame f=new Frame("Checkbox");
		f.setLayout(new FlowLayout());
		f.setSize(300,300);

		Label l=new Label("你喜欢的城市?");
		f.add(l);

		Checkbox[] cb=new Checkbox[4];
		cb[0]=new Checkbox("北京");
		cb[1]=new Checkbox("上海",true);
		cb[2]= new Checkbox("青岛",false);
		cb[3]=new Checkbox("广州");
		
		for(Checkbox ch: cb){
			f.add(ch);
		}
		f.setVisible(true);
	}
}

